pairwise.wilcox.test {stats} | R Documentation

## Pairwise Wilcoxon rank sum tests

### Description

Calculate pairwise comparisons between group levels with corrections for multiple testing.

### Usage

    pairwise.wilcox.test(x, g, p.adjust.method=p.adjust.methods, ...)

### Arguments

`x` | Response vector
`g` | Grouping vector or factor
`p.adjust.method` | Method for adjusting p values (see `p.adjust`)
`...` | Additional arguments to pass to `wilcox.test`.

### Value

Object of class `"pairwise.htest"`

### See Also

`wilcox.test`, `p.adjust`

### Examples

    data(airquality)
    attach(airquality)
    Month <- factor(Month, labels = month.abb[5:9])
    ## These give warnings because of ties :
    pairwise.wilcox.test(Ozone, Month)
    pairwise.wilcox.test(Ozone, Month, p.adj = "bonf")
    detach()

[Package Contents]